Nekakoshi’s blog

WEB技術と猫に関してもふもふと生きています。(ノ)・ω・(ヾ)ムニムニ o< ´・ω・` >oビローン

Rails5系でkaminariが動かないんだってさ。

Rails5 rc1でkaminariがうまいこと入らないので、一応のメモです。

いつも通りにkaminariをGemfileに追加して作業を進めると。

paginateを利用したときに 以下のようなエラーが出ました。

    1: = paginator.render do
    2:   %ul.pagination
    3:     = first_page_tag unless current_page.first?
    4:     = prev_page_tag unless current_page.first?
    5:     - each_page do |page|
    6:       - if page.left_outer? || page.right_outer? || page.inside_window?

結論は以下の修正です。

- gem 'kaminari'
+ gem 'kaminari', '~> 0.17.0'

0.17で改善されているネタです。

github.com

ソースはこちらから。 kaminari | RubyGems.org | your community gem host

ありがたや。